# vim: set sw=4 ts=4 et:

# Copyright (c) 2010-2012 Pascal Bleser <pascal.bleser@opensuse.org> and
# the Packman team <packman@links2linux.de>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via packman@links2linux.de

%define _lto_cflags %{nil}
%define _libexecdir %{_prefix}/lib

%define suseversion  %(echo "openSUSE Linux `echo "scale=1; 0%{?suse_version}/100" | bc 2>/dev/null || echo UNKNOWN` (%{_build_cpu})")

%define revision            37916

%define blue_version        1.11
%define clearlooks_version  1.7


Name:           MPlayer
Version:        1.2.r38304
Release:        pm152.2.3
License:        GPL-2.0+
Summary:        Multimedia Player
Summary(de):    Multimedia-Abspielprogramm
Url:            http://www.mplayerhq.hu
Group:          Productivity/Multimedia/Video/Players
## svn://svn.mplayerhq.hu/mplayer/trunk
Source0:        %{name}-%{version}.tar.xz
Source1:        http://www1.mplayerhq.hu/MPlayer/skins/Blue-%{blue_version}.tar.bz2
Source2:        http://www1.mplayerhq.hu/MPlayer/skins/Clearlooks-%{clearlooks_version}.tar.bz2
Patch1:         MPlayer-1.0rc4-warn.patch
Patch2:         MPlayer-vdpau.patch
Patch3:         MPlayer-pci_linux_gnu_source.patch
Patch4:         MPlayer-amd64-detection.patch
Patch5:         bug490-demux_lavf.patch
Patch13:        MPlayer-fix_win32_pointer_casts.patch
# PATCH-PACKMAN-FIX change include path for libsmbclient with samba 4.0
Patch15:        MPlayer-samba4-include-path.patch
Patch21:        MPlayer-1.0rc4-distro-config.patch
# fixes for crashes found while fixing CVE-2008-1558
Patch22:        MPlayer-rtsp-extra-fixes.patch
#gw fix crash: https://qa.mandriva.com/show_bug.cgi?id=55443
Patch25:        MPlayer-fix-dvd-crash.patch
Patch28:        MPlayer-bypass_live_detection.patch
Patch32:        60_arm-private-symbols.patch
Patch33:        MPlayer-fix_tcp_pointer_casts.patch
Patch34:        MPlayer-coverity_shebang.patch
Patch35:        MPlayer-fix_vd_ffmpeg_pointer_casts.patch
Patch36:        MPlayer-column_fidct_mmx.patch
Patch37:        MPlayer-codec-cfg_optflags.patch
Patch38:        MPlayer-libopus_support.patch
Patch39:        MPlayer-linking_dvdread.patch
patch40:        MPlayer-ve_lavc-intptr.patch

BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat) >= 58
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libpostproc)
BuildRequires:  aalib-devel
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse) >= 0.9
BuildRequires:  libcdio-paranoia-devel
BuildRequires:  libdv-devel
BuildRequires:  pkgconfig(libjpeg)
%if 0%{?suse_version} > 1320 
BuildRequires:  pkgconfig(libopenjp2)
%else
BuildRequires:  openjpeg-devel
%endif
BuildRequires:  lirc-devel
BuildRequires:  lzo-devel
BuildRequires:  libSDL-devel >= 1.1.8
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  libtwolame-devel
BuildRequires:  pkgconfig(opus)
BuildRequires:  libfaac-devel
BuildRequires:  libfaad-devel
BuildRequires:  pkgconfig(dvdread)
BuildRequires:  pkgconfig(dvdnav)
BuildRequires:  libmpeg2-devel
BuildRequires:  libx264-devel >= 0.120
BuildRequires:  libxvidcore-devel >= 1.0.0
BuildRequires:  libdca-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  live555-devel
BuildRequires:  libtheora-devel
BuildRequires:  fribidi-devel >= 0.10.4
BuildRequires:  enca-devel
BuildRequires:  alsa-devel
BuildRequires:  libXvMC-devel
BuildRequires:  libvdpau-devel
BuildRequires:  libass-devel
BuildRequires:  librtmp-devel
BuildRequires:  libbluray-devel
BuildRequires:  yasm
BuildRequires:  libvorbis-devel
BuildRequires:  gtk2-devel
BuildRequires:  ImageMagick
BuildRequires:  Mesa-libGL-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXxf86dga-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libxslt-tools
BuildRequires:  libXt-devel
BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel
BuildRequires:  gettext-devel
BuildRequires:  liba52dec-devel
BuildRequires:  libmad-devel
BuildRequires:  libpng-devel
BuildRequires:  termcap
BuildRequires:  libgsm-devel
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  libzip-devel
BuildRequires:  libmng-devel
BuildRequires:  speex-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  ladspa-devel
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  libcaca-devel >= 0.99.beta16
BuildRequires:  giflib-devel
BuildRequires:  libbs2b-devel
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  update-desktop-files

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     gmplayer = %{version}
Provides:       mplayer = %{version}
Provides:       mencoder = %{version}
Conflicts:      MPlayer-unstable
Conflicts:      mplayer-unstable

%description
MPlayer plays most MPEG/VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV, QT/MOV/MP4,
RealMedia, Matroska, NuppelVideo, FLI, YUV4MPEG, FILM, RoQ, PVA files,
supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD,
SVCD, DVD, 3ivx, DivX 3/4/5 and even WMV movies..

Note that the GUI frontend "gmplayer" is not part of this package.
Instead, you must also install the package "gmplayer".

%package -n gmplayer
Summary:        GUI Frontend for the %{name} Multimedia Player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}
Provides:       mplayer-gui = %{version}
Provides:       %{name}-gui = %{version}

%description -n gmplayer
MPlayer plays most MPEG/VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV, QT/MOV/MP4,
RealMedia, Matroska, NuppelVideo, FLI, YUV4MPEG, FILM, RoQ, PVA files,
supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD,
SVCD, DVD, 3ivx, DivX 3/4/5 and even WMV movies..

This subpackage contains the GUI frontend "gmplayer".

%package doc
Summary:        Multimedia Player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}

%description doc
MPlayer plays most MPEG/VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV, QT/MOV/MP4,
RealMedia, Matroska, NuppelVideo, FLI, YUV4MPEG, FILM, RoQ, PVA files,
supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD,
SVCD, DVD, 3ivx, DivX 3/4/5 and even WMV movies..

This subpackage contains technical documentation about codecs, formats,
and MPlayer implementation details.

%prep
%autosetup -p1

%build
tar xfa %{S:1}
tar xfa %{S:2}
echo '%{version}-Packman' > VERSION

export HOSTCFLAGS="$RPM_OPT_FLAGS `pkg-config --cflags libavutil`"
export CFLAGS="$CFLAGS %{optflags} -fno-strict-aliasing -fomit-frame-pointer -Wno-unused-but-set-variable -Wno-deprecated-declarations"
%ifarch ppc
export CFLAGS="$CFLAGS -mcpu=7450 -maltivec"
%endif
export LDFLAGS="%{?ldflags}"
./configure \
    --prefix="%{_prefix}" \
    --confdir="%{_sysconfdir}/mplayer" \
    --datadir="%{_datadir}/mplayer" \
    --libdir="%{_libdir}" \
    --mandir="%{_mandir}" \
    --strip=$(type -P true) \
    --disable-nls \
%ifarch %ix86 x86_64 ppc
    --enable-runtime-cpudetection \
%endif
%ifarch %ix86 x86_64
    --enable-mmx \
    --enable-3dnow \
    --enable-sse \
    --enable-sse2 \
    --enable-fastmemcpy \
%endif
    --disable-ffmpeg_a \
    --enable-freetype \
    --disable-sighandler \
    --enable-gui \
    --language=all \
    --enable-dvdnav \
    --enable-dvdread \
    --enable-lirc \
    --enable-tv \
    --enable-radio \
    --enable-radio-capture \
    --enable-joystick \
    --enable-gl \
    --disable-svga \
    --disable-mga \
    --disable-directfb \
    --enable-mencoder \
    --enable-theora \
    --enable-menu \
    --enable-smb \
    --codecsdir=%{_libdir}/codecs \
    --disable-arts \
    --enable-pulse \
    --disable-openal \
    --enable-xvmc \
    %{nil}
chmod 0755 ./version.sh
make version.h
%make_build

%install
%make_install

# skin
install -m 755 -d "%{buildroot}%{_datadir}/mplayer/skins"
cp -r Blue "%{buildroot}%{_datadir}/mplayer/skins/default"
cp -r Clearlooks "%{buildroot}%{_datadir}/mplayer/skins/"

# configs
install -m 644 etc/example.conf "%{buildroot}%{_sysconfdir}/mplayer/mplayer.conf"
echo "fontconfig=yes" >>  "%{buildroot}%{_sysconfdir}/mplayer/mplayer.conf"
install -m 644 etc/input.conf "%{buildroot}%{_sysconfdir}/mplayer/"
install -m 644 etc/menu.conf "%{buildroot}%{_sysconfdir}/mplayer/"

# mencvcd
install -m 755 TOOLS/mencvcd.sh "%{buildroot}%{_bindir}/mencvcd"

# TOOLS
pushd TOOLS
rm -f \
    alaw-gen alaw-gen.c \
    binary_codecs.sh \
    bmovl-test bmovl-test.c \
    calcbpp.pl \
    checktree.sh \
    compare compare.c \
    fastmemcpybench fastmemcpybench.c \
    modify_reg.c \
    mphelp_check.py \
    plotpsnr.pl \
    vfw2menc.c
popd #TOOLS

install -d "%{buildroot}%{_libexecdir}/mplayer"
for f in TOOLS/*; do
    if [ -f "$f" -a -x "$f" ]; then
        mv "$f" "%{buildroot}%{_libexecdir}/mplayer/" \
        && ln -s "%{_libexecdir}/mplayer/${f##*/}" TOOLS/
    fi
done

rm -rf DOCS/man DOCS/xml

MANPAGES="$PWD/manpages.lst"
GMANPAGES="$PWD/gmanpages.lst"
echo -n > "$MANPAGES"
echo -n > "$GMANPAGES"
pushd "%{buildroot}%{_mandir}"
for f in */man?/*; do
    lang=${f%%/*}
    case $f in
        *gmplayer*) MPFILE="$GMANPAGES" ;;
        *) MPFILE="$MANPAGES" ;;
    esac
    echo "%doc %lang(${lang}) %{_mandir}/${f}*" >>"$MPFILE"
done
popd

%suse_update_desktop_file -n -r mplayer AudioVideo Video Player

echo -n >docfiles.lst
install -d "%{buildroot}%{_docdir}/%{name}"
for x in TOOLS README AUTHORS Changelog; do
    cp -a "$x" "%{buildroot}%{_docdir}/%{name}/"
    echo "%doc %{_docdir}/%{name}/${x}" >>docfiles.lst
done

cp -a DOCS/tech "%{buildroot}%{_docdir}/%{name}/"

cat manpages.lst docfiles.lst > mainpackagefiles.lst

%files -f mainpackagefiles.lst
%doc %dir %{_docdir}/%{name}
%dir %{_sysconfdir}/mplayer
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/mplayer.conf
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/input.conf
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/menu.conf
%{_mandir}/man1/mplayer.1%{ext_man}
%{_mandir}/man1/mencoder.1%{ext_man}
%{_bindir}/mplayer
%{_bindir}/mencoder
%{_bindir}/mencvcd
%dir %{_datadir}/mplayer
%{_libexecdir}/mplayer
%lang(cs) %doc %dir %{_mandir}/cs
%lang(cs) %doc %dir %{_mandir}/cs/man1
%lang(hu) %doc %dir %{_mandir}/hu
%lang(hu) %doc %dir %{_mandir}/hu/man1
%lang(pl) %doc %dir %{_mandir}/pl
%lang(pl) %doc %dir %{_mandir}/pl/man1
%lang(ru) %doc %dir %{_mandir}/ru
%lang(ru) %doc %dir %{_mandir}/ru/man1
%lang(zh_CN) %doc %dir %{_mandir}/zh_CN
%lang(zh_CN) %doc %dir %{_mandir}/zh_CN/man1

%files -n gmplayer -f gmanpages.lst
%{_bindir}/gmplayer
%{_datadir}/mplayer/skins/
%{_datadir}/applications/mplayer.desktop
%{_datadir}/icons/*
%{_mandir}/man1/gmplayer.1%{ext_man}

%files doc
%doc %{_docdir}/%{name}/tech

%changelog
* Sat Apr  3 2021 olaf@aepfle.de
- update to version 1.2.r38304
* Thu Feb 23 2017 scarabeus@opensuse.org
- Fix mpg123 dependency
* Thu Feb 23 2017 martin@pluskal.org
- Disable nas support as it is obsolete/unsupported
* Wed Feb 22 2017 scarabeus@opensuse.org
- Disable vstream build to stop being unresolvable
* Thu Feb  2 2017 pascal.bleser@opensuse.org
- update to version 1.2.r37916
- fix lack of libpostproc support
- add patch to fix 64bit portability issue
* Tue Oct 20 2015 joerg.lorenzen@ki.tng.de
- update to version 1.2.r37548
- remove ffmpeg source package because all required devel files now
  are provided by libffmpeg-devel.
- update Blue to version 1.11
- update Clearlooks to version 1.7
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for some BuildRequires
* Fri Jul 10 2015 joerg.lorenzen@ki.tng.de
- build against libffmpeg-devel
* Sun May 17 2015 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.6.3
* Mon Apr 13 2015 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.6.2
* Tue Mar 17 2015 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.6.1
* Thu Mar 12 2015 joerg.lorenzen@ki.tng.de
- update to version 1.1.1.r37379
  * update ffmpeg to version 2.6
* Wed Mar  4 2015 joerg.lorenzen@ki.tng.de
- link against lidvdread >= 5.0.0 for openSUSE >= 12.3
* Sat Feb 14 2015 joerg.lorenzen@ki.tng.de
- update to version 1.1.1.r37373
  * update ffmpeg to version 2.5.4
* Sat Jan 10 2015 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.5.3
* Tue Dec 23 2014 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.5.2
- added patch MPlayer-linking_dvdread.patch to link against
  lidvdread >= 5.0.0 for openSUSE > 13.2
- removed workaround for build on arm armv6l/armv6hl, the problem
  is caused by additional RaspberryPi repository and should be
  fixed there
* Mon Dec 15 2014 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.5.1
* Sat Dec 13 2014 joerg.lorenzen@ki.tng.de
- removed some unneeded dependencies to enable build on armv6l/armv6hl
* Sun Dec  7 2014 joerg.lorenzen@ki.tng.de
- update to version 1.1.1.r37337
  * enable support for opus, mpeg2 and openjpeg (for distributions
    where openjepeg-devel is available)
  * added patch to compile codec-cfg.c with optflags
* Fri Dec  5 2014 joerg.lorenzen@ki.tng.de
- update to version 1.1.1.r37329
  * update ffmpeg to version 2.5
  * drop patches MPlayer-decl.patch and MPlayer-have-dlfcn_h.patch,
    they are no longer required
  * added dependencies to enable build on ARM CPU
* Sat Oct  4 2014 olaf@aepfle.de
- Compile with live555 from OBS
* Sun Aug 17 2014 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.3.3
* Tue Aug 12 2014 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.3.2
* Wed Jul 16 2014 joerg.lorenzen@ki.tng.de
- update to version 1.1.1.r37239
  * update ffmpeg to version 2.3
  * drop patch MPlayer-r34911-dont-use-ffmpeg-functionality-
    outside-stable-release.patch: fixed upstream
* Tue Jun 24 2014 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.2.4
* Fri May 30 2014 ohering@suse.de
- Use libjpeg62-devel on openSUSE 11.4
* Sat May 17 2014 joerg.lorenzen@ki.tng.de
- update to version 1.1.1.r37203
* Wed May  7 2014 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.2.2
* Wed Apr  2 2014 joerg.lorenzen@ki.tng.de
- update to version 1.1.1.r37117
  * update ffmpeg to version 2.2
  * update Blue to version 1.10
  * update Clearlooks to version 1.6
  * drop patch MPlayer-format-string-literal.patch: fixed upstream
* Fri Mar 28 2014 seife+obs@b1-systems.com
- do not buildrequire nut-devel (Network UPS Tools)
* Fri Mar 28 2014 seife+obs@b1-systems.com
- fix build on 12.[23] by buildrequiring libXt-devel
* Thu Dec 19 2013 joerg.lorenzen@ki.tng.de
- changed version string (see #855948)
- update to version 1.1.1.r36557
* Thu Nov 28 2013 joerg.lorenzen@ki.tng.de
- update ffmpeg to version 2.1.1
* Fri Nov 15 2013 joerg.lorenzen@ki.tng.de
- fixed missing alsa support for openSUSE >= 13.1
* Wed Nov 13 2013 joerg.lorenzen@ki.tng.de
- enabled vstream, live555, smb, faac and libvorbis support
* Fri Nov  8 2013 joerg.lorenzen@ki.tng.de
- added libXt-devel for openSUSE > 12.3
- restructured specfile, is now (slightly) better readable
* Thu Nov  7 2013 joerg.lorenzen@ki.tng.de
- changes in specfile to enable build for openSUSE < 11.4 and SLES
* Tue Nov  5 2013 joerg.lorenzen@ki.tng.de
- update to version 1.1.1+r36500
  * build against external libx264
  * build internal ffmpeg-2.1 (build against external ffmpeg also possible)
  * update Blue to version 1.8
  * update Clearlooks to version 1.5
  * added several patches from distro Mageia
  * (nearly) complete rewrite of specfile
* Sun Nov  3 2013 obs@botter.cc
- Fix building for > 1230
  * add Mesa-devel, alsa-devel and xorg-x11-devel to BuildRequires
  * add patch to fix include path of libsmbclient.h (samba4):
    MPlayer-samba4-include-path.patch
* Sun Aug 25 2013 nomail@nomail.com
- Fix ARM build:
  * Enable crystalhd only for x86/x86_64
  * disbale VIDIX for %%arm
* Sat Oct  6 2012 i@margueirte.su
- fix the bug that it goes into audio player section in kickoff menu.
* Wed Aug 29 2012 pascal.bleser@opensuse.org
- update to 35127
* Mon Aug 20 2012 pascal.bleser@opensuse.org
- update to 35107
* Sun Jul  8 2012 pascal.bleser@opensuse.org
- build without twolame support, is already handled (better) by ffmpeg
* Wed Jun 20 2012 pascal.bleser@opensuse.org
- update to 1.1 (still using SVN snapshots)
- latest ffmpeg
- latest x264 snapshot
- disabled mp3lib support as suggested by upstream, ffmpeg does a better job
* Wed May 23 2012 pascal.bleser@opensuse.org
- update to 34962
* Thu May  3 2012 pascal.bleser@opensuse.org
- require live555-devel-with_synchronous_interface at build time, fixes
  [PM-12]: https://bugs.links2linux.org/browse/PM-12
- add patch to fix live555 detection with the new path layout (/usr/lib64/live/):
  MPlayer-fix_live_detection.patch
* Tue Apr 17 2012 pascal.bleser@opensuse.org
- update to 34866, minor fixes
- using an in-tree build of x264 to use the latest snapshots
- update of in-tree ffmpeg to latest
- build against live555-devel which is much newer (and a static
  library, has no effect on other packages)
* Sat Apr 14 2012 pascal.bleser@opensuse.org
- update to 34853, mostly some fixes to subtitles with ASS
* Tue Apr  3 2012 pascal.bleser@opensuse.org
- update to 34837:
  * support FFmpeg Real Audio Lossless decoder with -demuxer lavf
  * support FFmpeg EA ADPCM R1, R2, R3 audio decoders
  * support FFmpeg WMA lossless decoder
  * fix -vo bl with slices
  * switch FLIC tag to the one used by FLIC-in-MOV
  * add H264QPEL flags for FFmpeg compilation
  * support FLIC in avi
- update in-tree x264 to 20120402
- update in-tree ffmpeg to latest
* Tue Apr  3 2012 pascal.bleser@opensuse.org
- update MPlayer to r34818
- update in-tree ffmpeg and x264 to latest version
* Thu Nov 17 2011 reddwarf@opensuse.org
- Don't force vdpau through the config file, makes video playback
  fail in some systems
* Tue Nov  8 2011 pascal.bleser@opensuse.org
- update MPlayer to r34327
- update in-tree ffmpeg to 5955c63c36e9b822f1186cd45a8dec5056b9c575
- update in-tree x264 to 20111107
* Sun Oct 30 2011 pascal.bleser@opensuse.org
- update MPlayer to r34277
- update in-tree ffmpeg to 49aa397414eb4dbe5da292fcdb8a6084f71ae949
- update in-tree x264 to 20111029
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- add patch to fix sequence point warning with gcc on openSUSE < 11.2
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- update to r34240
- update in-tree ffmpeg to 4a5ea9e0ce0628b4498c013084ce9e7006ba93fb
- use in-tree x264 (x264-snapshot-20111022-2245) as it requires the latest
  version and in order to avoid side-effects on a ton of other packages
* Sun Oct  2 2011 pascal.bleser@opensuse.org
- add missing transitive dependency linux-glibc-devel, caused
  build to fail on factory
- disable zr backend on Factory, as it requires v4l v1 headers,
  which have been dropped from the kernel that ships with
  Factory (12.1)
* Fri Aug 26 2011 pascal.bleser@opensuse.org
- update to 34016
* Sun Jun 12 2011 pascal.bleser@opensuse.org
- update to 33574:
  * fix segmentation fault when pressing U (stop playing) in GUI
  * a GUI related option which corresponds to a MPlayer option '-optname' will
    be named '-gui-optname' now
  * rename option '-guiwid' '-gui-wid'
  * add option '-gui-include'
  * constrain libcdparanoia's caching which badly breaks playback with -nocache
  * improve seeking for files where start_time is not (properly) set
  * setup default speex modes, allows decoding of speex in flv which does not
    contain a header packet
  * fix #1442: do not remove video filters: If a video filter option isn't set,
    it does not mean to remove the filter, but such option (if set) should only
    cause adding the filter (if not already present). That way filters can be
    specified in MPlayer's config or on the command line, too.
  * support Etymonix MPEG-2 I-frame Video Codec
  * Command Line Options: Support FFmpeg per-codec AVOptions: this change
    extends the existing support for arbitrary FFmpeg options to also include
    per-codec AVOptions.  You can now pass per-codec options in the same way as
    global options are passed: mplayer -lavdopts o=<option>
  * increase the maximum value of the DVB timeout to 240 seconds: some devices
    may need more time for the initial tune (e.g. firmware loading).  Let the
    user specify higher timeout value if there is need to. The default remains
    30 seconds.
  * fix #574: instead of exit_player(), exit with appropriate return code
  * support up to 20 mouse buttons, there really seem to be input devices with
    at least 12
  * fix bug introduced in r25726 that would cause us to write uninitialized
    data into buffer
  * support displaying of 9- and 10-bit pixel formats, as used by v210 and H264
  * support playback for more ffv1 pixel formats
  * support S302M (with -demuxer lavf)
  * support S302M in the native ts demuxer
  * support FFmpeg r10k decoder
  * support Digital Voodoo SD 8 Bit (DVOO)
  * add MNG output support
  * stream dump: print progress information
  * allow directory selection with middle mouse button (single click)
  * start playlist selection in same directory the file selector starts in
  * support 9- and 10-bit YUV input for OpenGL vos
  * fix clear/border color of chroma texture for 9- and 10-bit formats: avoids
    pink borders for those formats
  * workaround embedded ssa/ass never hiding with -noass
  * only accept regular files as .bin files for .cue files
  * remove a duplicated open() call that could lead to a file-descriptor leak
    in some cases
  * avoid possible crash if cue filename is very short
  * take notice of MPlayer option '-display': if option '-display' is given,
    initialize GTK in a way that the GUI will run on that display
  * change -udp-slave code to temporarily fall back to normal timing after 30s
    network timeout
- bump ffmpeg to d127d26997ff046a9f112643eebd1007590b4fa2
* Sun Apr 24 2011 pascal.bleser@opensuse.org
- update to 33321:
  * fix DVD angle cycling up
  * convert all manual pages to UTF-8
  * list GUI options in man page
  * support Canopus SD50
  * clip x/y offsets to avoid bad video placement
  * add -geometry support
  * -vc ffmpeg12mc is no longer necessary with -vo xvmc
  * mark ffmpeg12mc as deprecated
  * support -vo xvmc without having to specify the codec explicitly
  * add support for FFmpeg's Deluxe Paint Animation decoder
  * support RGB framebuffers
- bump in-tree ffmpeg to c2a8f125855aef72efcde8a06dd73a5fbe5dcf25
  * fix crash on flic files with invalid frame size
  * FLV muxing support
  * AMV: fix possibly exploitable crash
  * applehttp demuxer
  * Xiph CELT/Opus decoder using libcelt
  * Ogg: add support for Xiph's CELT (Opus) codec
* Sat Apr 16 2011 pascal.bleser@opensuse.org
- update to 33269:
  * avoid crash when pausing an audio-only file
  * geq works fine with shared FFmpeg, so do not require static builds for it
  * support decoding Kega Video (kgv1) with FFmpeg
* Tue Apr 12 2011 pascal.bleser@opensuse.org
- update to 33253
- bump in-tree to git rev c104a6e90226eaa253aeba471c8859e0da922da7
* Fri Apr  1 2011 pascal.bleser@opensuse.org
- bump in-tree ffmpeg to git rev 7b9750ed9b4d500e8f322a58a9cc2032eddc666b
- enable CrystalHD support (pulls in libcrystalhd)
- update to 33179:
  * r33164: Issue error message in case of an unknown skin item.
  * r33160: The comment character is safe now between (double) quotation marks.
    This simplifies handling in the font description file and allows it to be
    used in label texts.
  * r33154: Issue error message in case of wrong section name.
  * r33153: Don't start GUI in case of window name error.
  * r33148: Playlist option can't be used in a config file.
  * r33147: Add dummy shuffle and noshuffle options so they appear in
  - list-options.
  * r33131: Add condition that lets us switch FFmpeg XvMC decoder back from
    hwaccel to normal decoding.
  * r33128: Attempt to fix crashes with VDPAU and threads.
  * r33127: Fix XVMC decoding (avcodec_open would fail if thread_count is set)
    and simplify code a bit in the process.
  * r33126: LAVC: Warn when audio encoder requires an input format different
    from S16, it is not working correctly currently.
  * r33125: FFmpeg Bitmap Brothers JV decoder.
  * r33122: Add ugly hack to compensate DVDNAV's ugly hacks and fix seeking.
  * r33118: Do not do A-V sync correction if one of the pts values is bogus
    (NOPTS_VALUE) since that will actually cause desync.
  * r33112: Revise some GUI error message texts.
  * r33111: Show GUI message when GUI must exit.
  * r33107: Update key-fifo-size documentation, stuck keys should no longer be
    possible, for small buffers double-clicks should be disabled.
  * r33106: Allow mouse wheel to work with a key fifo size of 2.
  * r33104: Make "stuck keys" problem impossible by resetting the internal key
    state when our key fifo overflowed.
  * r33098: Support E-AC3 in deprecated native matroska demuxer.
  * r33096: VDPAU does not support colourspaces different from 4:2:0
  * r33095: Support CrystalHD decoding.
  * r33094: add xd55 isom for mpeg2 video from fcp
  * r33091: Correct VCD title menu: limit menu entries to number of titles
    available on the VCD
  * r33090: Correct next track button functionality for VCDs
  * r33089: Start vcd:// with first title when hitting play button
* Fri Mar 18 2011 pascal.bleser@opensuse.org
- update to 33083:
  * add a command line option -gamma
  * support 'lpcm' in mov files, has audible (clipping?) artefacts on some
    systems
  * support 32bit big endian float pcm in aiff
  * revert broken crystalhd check and replace by minimal bandaid compile fix
  * output ID_DVD_VOLUME_ID also for dvdnav://
  * Allow setting custom http header
* Sat Mar  5 2011 pascal.bleser@opensuse.org
- update to 33030:
  * add VP8 fourcc support
  * fix dnet decoding with -ac ffac3
  * fix -ac a52
- fix gmplayer upgrade error, a directory was replaced with a symbolic link in
  the package for 33025, which cpio cannot handle on upgrade
* Sat Mar  5 2011 pascal.bleser@opensuse.org
- update to 33025
- also include the Clearlooks skin ("default" skin directory is now a symlink)
- add libvpx support
* Mon Feb 28 2011 pascal.bleser@opensuse.org
- update to r32988
- disabled internal libdvdcss
- libmpcdec support is disabled, uses better support in ffmpeg
- add Blu-Ray support through libbluray
- add bs2b (Bauer stereophonic-to-binaural DSP) support
- add A52 decoding support through liba52dec
* Mon Jan  3 2011 pascal.bleser@opensuse.org
- update to r32749
- split gmplayer into its own subpackage
- enable libmpg123 support
- enable rtmpdump support
- enable mpcdec support
* Mon Nov  8 2010 pascal.bleser@opensuse.org
- update to r32603
* Thu Aug  5 2010 pascal.bleser@opensuse.org
- update to r31930
* Thu Mar 11 2010 detlef@links2linux.de
- fix BuildRequires (cdparanoia -> cdparanoia-devel)
* Wed Feb  3 2010 detlef@links2linux.de
- use libopencore_amr
* Wed Dec 23 2009 pascal.bleser@opensuse.org
- update to 30099 to fix ffvorbis
* Sat Dec  5 2009 pascal.bleser@opensuse.org
- add patch to fix volume at 100%%%% with pulseaudio, thanks to Johannes Engel
* Sat Oct 24 2009 pascal.bleser@opensuse.org
- build against libvdpau-devel instead of nvidia-vdpau-devel
* Tue Mar 31 2009 henne@links2linux.de
- update to revision 29116
- add future wmapro implementation from ffmpeg-soc repository.
  With this patch, binary codecs should not be necessary anymore.
  Kudos to Carl Eugen Hoyos.
* Wed Mar 11 2009 henne@links2linux.de
- Update to revision 28150
- get rid of german translation
- enable VDPAU
- some specfile cleanup
* Thu Oct  2 2008 henne@links2linux.de
- GHet rid of gcc4-altivec patch
- Patch real demuxer heap overflow CVE-2008-3827
- Get rid of <10.2 bits in the specfile, goodbye SUSE Linux
- dont require a ttffont package we are using fontconfig by default
- fixup buildrequires:
  * require libxvidcore-devel instead of xvid-devel
  * require external libdvdnav
  * no need for the devs package anymore
  * if we build live support we need gcc-c++
- we really do not need to turn everything and its dog on:
  * turned of musepack support, libavcodec can do most of that
  * never turn on wii vo, nobody requested this and there is even no
    wii port of opensuse
  * never turn on mad support, mp3lib can doo all that
  * dont turn on openal its experimental and no one uses it
- dont build libdvdnav and libdvdread in this spec, extra packages
- get rid of build conditionals to make specfile maintainable again
* Wed Sep 24 2008 guru@unixtech.be
- added patch that fixes an infinite loop while trying to parse the 'udta' tag
  of a number of different MP4 files: http://bugzilla.mplayerhq.hu/show_bug.cgi?id=1267
* Mon Sep 22 2008 guru@unixtech.be
- use proper subdir in tarballs (see mksrc.sh)
- fixed MPlayer version output
* Fri Sep 19 2008 guru@unixtech.be
- removed support for arts audio output: arts itself is broken and no one should
  be using it in the first place + it pulls in many dependencies (artsc, qt3, ...)
- disable qtx, broken
* Thu Sep 18 2008 guru@unixtech.be
- update to trunk r27636
- disable wii output plugin by default, it seems that it's being picked as the default
  output plugin on some systems; will investigate and re-enable later; can be enabled
  by rebuilding the src.rpm and passing --with wii
* Tue Sep 16 2008 guru@unixtech.be
- update to SVN snapshot r27626, as advised by MPlayer developers
- added Authors: with mailing-list address (documented as target for reporting bugs)
- still using in-tree libdvdread and libdvdnav forks of MPlayer, will promote them
  to standalone packages later on
- enable support for dirac/schroedinger codecs on openSUSE >= 10.2
* Sun Sep 14 2008 guru@unixtech.be
- added conflicts:mplayer-unstable, just in case we have an mplayer-unstable one day ;)
- use static in-tree libdvdread (MPlayer fork) version 4.1.3
- update static in-tree libdvdnav (MPlayer fork) to 4.1.3
- fix CPU detection on AMD64
- also enable runtime CPU detection for x86_64
* Thu Aug  7 2008 guru@unixtech.be
- fixed pulseaudio support on all distversions
* Wed Aug  6 2008 guru@unixtech.be
- added pulseaudio support
* Sun Aug  3 2008 guru@unixtech.be
- removed pointless files from DOCS (XML sources, duplicated man pages)
- added %%%%lang() flags on non-C man pages
- fixed support for x264
- added support for libdvdnav (using an in-tree static build of libdvdnav from mplayerhq)
- added support for wavepack, mad, openal, enca, libnut
- forced using an external faad lib
- added checking of enabled features to avoid accidental disabling due to missing dependencies
* Mon Jul 28 2008 guru@unixtech.be
- build without nemesi support, as it seems to be less featured than the native RTSP implementation in MPlayer
- fixed live support
* Fri Jul 11 2008 guru@unixtech.be
- added Provides for mplayer, mplayer-gui, MPlayer-gui, gmplayer and mencoder
- disabled stripping and added -debuginfo package
- added RTSP/RTP support through libnemesi
* Thu Jul 10 2008 guru@unixtech.be
- some spec file cleanups
- 'openSUSE Linux' instead of 'SUSE Linux' in suseversion macro
- added missing BuildRequires:libfaac-devel
* Tue Feb  5 2008 henne@links2linux.de
- fix buffer overflow in stream_cddb.c
- fix buffer overflow in demux_audio.c
- fix buffer overflow in url.c
- fix buffer overflow in demux_mov.c
- build against amr?b
- make fontconfig default
- fix some minor desktop file problems
* Mon Dec 31 2007 guru@unixtech.be
- added subfont.ttf link, see https://bugzilla.novell.com/show_bug.cgi?id=335471
- fixed URL for Blue skin
* Sun Dec 30 2007 detlef@links2linux.de
- rebuild with new libx264
* Wed Oct 10 2007 henne@links2linux.de
- upddate to rc2
- disable ivtv because its broken
- use the correct realplay codec directory
- get rid of upstreamed patches
* Sat Sep 22 2007 henne@links2linux.de
- re-enable xvmc with wrapper lib
- get rid of toolame in favour of twolame
* Mon Jul 23 2007 henne@links2linux.de
- enable v4l radio support
